#!/usr/bin/perl -w

# Author: MK Biswas
#2016/05/21
#SCNU, Korea

# Open FASTA file #

open (IN,"<$ARGV[0]") || die ("\nError: FASTA file doesn't exist !\n\n");
open (OUT,">$ARGV[0].pickBlastOut");

print OUT "query_id\t subject_id\t  identity\t alignment_length\t mismatches\t gap_opens\t q_start\t q_end\t s_start\t s_end\t evalue\t bit_score\n";

while ($line = <IN>){
	chomp $line;
	
	if ($line =~ /^\#/) { 
		
		if ($line =~ /^\# Query:/) {
		print  $line,"\n";
		$c++;
	
		}
		
		} # excluding BLAST hit result Header information 
	else {
		
	##	print $line,"\n";
	
##Split up the tab delimited line, naming only the variables we are interested in 
##  (i.e. query id, subject id, % identity, alignment length, mismatches, gap opens, q. start, q. end, s. start, s. end, evalue, bit score )
    ($query_id, $subject_id, $identity, $alignment_length, $mismatches, $gap_opens, $q_start, $q_end, $s_start, $s_end, $evalue, $bit_score) = split(/\t/, $line);

	print OUT "$query_id\t$subject_id\t $identity\t$alignment_length\t$mismatches\t$gap_opens\t$q_start\t$q_end\t$s_start\t$s_end\t$evalue\t$bit_score\n";
	
	}
}
print $c;

